Usuario y grupo en WordPress

Es posible obtener este error al intentar realizar la actualización (realmente un upgrade, con actualizaciones menores no lo había notado hasta la fecha) automática en WordPress: Descargando paquete de instalación desde https://downloads.wordpress.org/release/es_ES/wordpress-4.6.zip… Descomprimiendo actualización… Verificando los archivos descomprimidos… No se ha podido descomprimir la actualización. Instalación fallida Antes de aventuraros con la actualización manual (tediosa y dado que podéis meter la pata si no hacéis un buen backup), os recomiendo revisar permisos del sistema de ficheros, y si son correctos revisad toda la cadena siguiente: Usuario (Linux/FTP) que gobierna la web / dominio, en este caso basada en el cms WordPress.org, para los ejemplos del articulo usaré «joselito«, este ha de ser el dueño o propietario de toda la carpeta sobre la que descansa el cms, en nuestro artículo será la carpeta «blog/»: ls -l total 36 drwxrwxr-x 6 joselito www-data 4096 Aug 22 16:03 blog Los permisos para una carpeta como la que se aprecia arriba, deberían permitir escritura a usuario y a grupo (775 en octal, en cambio para un fichero 664) Grupo del servidor Web en el caso de apache2 basado en sistemas Debian es el usuario / grupo «www-data«, en otros sistemas suele ser www, nobody, … Que el usuario «joselito» tenga como grupo primario o secundario «www-data». La pertenencia a grupos se puede comprobar con el comando id de Linux. Si estáis logados como el usuario en cuestión sin parámetros, y la salida que produce es como esta: id uid=2003(webmaster) gid=2003(webmaster) grupos=2003(webmaster),33(www-data) Si queréis interrogar la pertenencia a grupos de otro usuario, […]

» Leer más